# -*- rpm-spec -*-

Summary: A GTK widget for VNC clients
Name: gtk-vnc
Version: 0.3.8
Release: 3%{?dist}
License: LGPLv2+
Group: Development/Libraries
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1: %{name}-%{version}-relative-mouse.patch
Patch2: %{name}-%{version}-ungrab.patch
Patch3: %{name}-%{version}-ungrab-2.patch
Patch4: %{name}-%{version}-shift-tab.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://live.gnome.org/gtk-vnc
BuildRequires: gtk2-devel pygtk2-devel python-devel gnutls-devel zlib-devel
ExclusiveArch: %{ix86} x86_64 ia64

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%package devel
Summary: Libraries, includes, etc. to compile with the gtk-vnc library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: pygtk2-devel gtk2-devel gnutls-devel

%description devel
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

Libraries, includes, etc. to compile with the gtk-vnc library

%package python
Summary: Python bindings for the gtk-vnc library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description python
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

A module allowing use of the GTK-VNC widget from python

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
%__make %{?_smp_mflags}

%install
rm -fr %{buildroot}
%__make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/python*/site-packages/*.a
rm -f %{buildroot}%{_libdir}/python*/site-packages/*.la

%clean
rm -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc examples/gvncviewer.c
%{_libdir}/lib*.so
%dir %{_includedir}/%{name}-1.0/
%{_includedir}/%{name}-1.0/*.h
%{_libdir}/pkgconfig/%{name}-1.0.pc

%files python
%defattr(-, root, root)
%doc examples/gvncviewer.py
%{_libdir}/python*/site-packages/gtkvnc.so

%changelog
* Mon Jul  6 2009 Daniel P. Berrange <berrange@redhat.com> - 0.3.8-3.el5
- Re-fix handling of shift-tab (rhbz #357491)

* Wed Apr 22 2009 Daniel P. Berrange <berrange@redhat.com> - 0.3.8-2.el5
- Fix sub-package Requires to include full NEVR

* Wed Apr  1 2009 Daniel P. Berrange <berrange@redhat.com> - 0.3.8-1.el5
- Update to 0.3.8 release (rhbz #489326, rhbz #357491, rhbz #487560)

* Thu Mar 27 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.2-3.el5
- Fix colour conversions for mixed-endian setups (rhbz #431811)
- Fix mouse pointer grab semantics (rhbz #433711)

* Wed Mar 19 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.2-2.el5
- Fix keyboard state tracking (rhbz #435763)
- Fix endian conversion logic in framebuffer updates (rhbz #431811)

* Mon Jan 14 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.2-1.el5
- Initial packaging
